Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"items": [
{
"caseTypeCode": "COLLECTIONS",
"displayName": "Collections",
"enabled": true,
"defaultPriority": "NORMAL",
"serviceLevelMinutes": 1440,
"openCases": 12,
"activeWorkflow": {
"workflowKey": "COLLECTIONS_DEFAULT",
"versionNumber": 2
},
"defaultWorkflow": {
"workflowKey": "COLLECTIONS_DEFAULT",
"versionNumber": 2,
"active": true
},
"reasons": [
{
"reasonCode": "DELINQUENCY_SIGNAL",
"displayName": "Delinquency signal",
"enabled": true,
"handlingMode": "WORKFLOW",
"resolution": {
"resolved": true,
"workflowKey": "COLLECTIONS_DEFAULT",
"versionNumber": 2,
"note": "type default"
}
}
],
"workflowKeys": [
"COLLECTIONS_DEFAULT"
],
"protectiveScopes": [
{
"proposedAction": "INITIATE_CONTACT",
"channel": "PHONE"
}
]
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}